# Scroll - A Language for Scientists of All Ages

[ScrollHub](http://hub.scroll.pub) | [Try Scroll](https://try.scroll.pub)

---

**Scroll** is an innovative language crafted for scientists of all ages, enabling you to publish and evolve your most intelligent ideas. With Scroll, you can seamlessly organize, present, and share your knowledge in a structured yet visually appealing format. This repository includes all you need to get started with Scroll, from tutorials to essential tools, and links to communities for support and engagement.

## Table of Contents

- [Features](#features)
- [Getting Started](#getting-started)
- [Documentation & Resources](#documentation--resources)
- [Community & Support](#community--support)
- [Public Domain](#public-domain)

## Features

- **Science-Friendly Language**: Scroll is designed to help scientists publish structured data, detailed explanations, and evolving ideas with ease.
- **Visual & Interactive Elements**: Leverage animations, maps, videos, and inline styling to enhance readability and engagement.
- **Version Control**: All releases are documented, ensuring easy tracking of changes and updates.
- **Flexible & Customizable**: With a versatile syntax, Scroll is ideal for creating structured content, including tutorials, reports, datasets, and even blogs.

## Getting Started

1. **Install Scroll CLI**: Install the [npm package](https://www.npmjs.com/package/scroll-cli) and set up the Scroll environment.
2. **Explore with Try Scroll**: Test and experiment with Scroll using [Try Scroll](https://try.scroll.pub), a sandboxed environment for learning.
3. **Publish Online**: Distribute your content in infite ways, including free options like GitHubPages or ScrollHub.

## Documentation & Resources

- **[Tutorial](https://scroll.pub/tutorial.html)** - A step-by-step guide for beginners.
- **[FAQ](https://scroll.pub/faq.html)** - Frequently Asked Questions.
- **[Release Notes](https://scroll.pub/releaseNotes.html)** - Detailed changelogs of all updates.
- **[LeetSheet](https://scroll.pub/leetsheet.html)** - Essential commands and syntax.
- **GitHub Repository**: [Scroll on GitHub](https://github.com/breck7/scroll)

## Community & Support

- **[YouTube Channel](https://www.youtube.com/@breckyunits)** - Watch tutorials and updates.
- **[Reddit Community](https://www.reddit.com/r/WorldWideScroll/)** - Engage with the Scroll community.
- **[Blog](https://scroll.pub/blog/index.html)** - Read articles and insights on Scroll usage.

## Public Domain

Scroll is published to the public domain.

Explore, publish, and evolve with Scroll!
